Bug 255764 - ports-mgmt/portlint: portlint-2.19.6 report FATAL DISTFILES_${ARCH} place
Summary: ports-mgmt/portlint: portlint-2.19.6 report FATAL DISTFILES_${ARCH} place
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-10 23:52 UTC by Tatsuki Makino
Modified: 2021-06-14 17:59 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2021-05-10 23:52:25 UTC
In attachment 224746 [details] of bug 255680 I submitted a Makefile that portlint says looks fine.
But it has been corrected and committed according to the portclippy in ports-mgmt/portfmt.
Which is the right one to follow?

Bug 255680 comment #8 has all the results of using portlint in a Makefile that follows portclippy.
Comment 1 Joe Marcus Clarke freebsd_committer 2021-05-14 19:47:35 UTC
This should be fixed in 2.19.6.
Comment 2 Tatsuki Makino 2021-05-15 08:07:34 UTC
This has not been fixed in 2.19.6.
2.19.6 outputs exactly the same result as bug 255680 comment #8
attachment 224746 [details] yields the following result.
Should I follow the results of portlint or portclippy?

root@src-git:~ # portlint /usr/ports/print/epson-inkjet-printer-escpr2/       
looks fine.
root@src-git:~ # portclippy /usr/ports/print/epson-inkjet-printer-escpr2/
# PORTNAME block
PORTNAME
DISTVERSION
DISTVERSIONSUFFIX
CATEGORIES
MASTER_SITES
EXTRACT_SUFX
+DISTFILES_amd64
+DISTFILES_i386
EXTRACT_ONLY

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE
LICENSE_COMB
LICENSE_NAME_EPSON
LICENSE_FILE_EPSON
LICENSE_FILE_LGPL21
LICENSE_PERMS_EPSON
LICENSE_DISTFILES_EPSON

# Old-school license block (please replace with LICENSE)
+LEGAL_TEXT

# Dependencies
RUN_DEPENDS

# USES block
USES
+USE_LINUX

-DISTFILES_amd64
-DISTFILES_i386
# USES=linux related variables
+SRC_DISTFILES

-LEGAL_TEXT
# Standard bsd.port.mk variables
+NO_BUILD
+PORTSCOUT

# WRKSRC block
NO_WRKSUBDIR

-NO_BUILD

# Packaging list block
PLIST_SUB

-USE_LINUX

-SRC_DISTFILES

-PORTSCOUT
Comment 3 Joe Marcus Clarke freebsd_committer 2021-05-15 18:02:42 UTC
Sorry, this error looked like the issue with a missing comment section, which was fixed.  What I saw in this Makefile is that you have two newlines between the MASTER_SITES and the EXTRACT_SUFX, which shouldn't be there.  All of those lines should be in the same section.

The LEGAL_TEXT and the ARCH distfiles should be handled by portlint, and I can re-open this to fix that.
Comment 4 Tatsuki Makino 2021-05-15 21:59:09 UTC
ports-mgmt/portfmt has the definition of variable order in ${WRKSRC}/rules.c.
There are also some variables that are similar but do not appear in Porter's Handbook.
Comment 5 Joe Marcus Clarke freebsd_committer 2021-06-14 17:58:52 UTC
Fixed in 2.19.7.
Comment 6 commit-hook freebsd_committer 2021-06-14 17:59:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c81071045556832e93b90a70708fbca06a1bd418

commit c81071045556832e93b90a70708fbca06a1bd418
Author:     Joe Marcus Clarke <marcus@FreeBSD.org>
AuthorDate: 2021-06-14 17:56:52 +0000
Commit:     Joe Marcus Clarke <marcus@FreeBSD.org>
CommitDate: 2021-06-14 17:56:52 +0000

    ports-mgmt/portlint: Update to 2.19.7

    * Account for LEGAL_TEXT and per-ARCH DISTFILES in the Makefile sections
      [1]
    * Relax USE_LDCONFIG checks now that we don't need a specific lib
      pattern [2]

    PR:             255764 [1]
                    255651 [2]

 ports-mgmt/portlint/Makefile        |  3 +--
 ports-mgmt/portlint/src/portlint.pl | 25 ++++++++-----------------
 2 files changed, 9 insertions(+), 19 deletions(-)